<?php

//спасибо fiera
//класс языковых пакетов 
class lang {

    private static $array = array();

    public static function start($moduls = 'default') {
        global $user, $set;
        $moduls = 'default';
        $lang = H . "sys/language/$set[lang]/$moduls.ini";
        file_exists($lang) ? self :: $array = parse_ini_file($lang) : false;
    }

    public static function show($lang) {
        global $user, $set;
        if (empty($array[$lang])) {
            lang::start('default');
        }
        return (@self :: $array[$lang] ? self :: $array[$lang] : $lang);
    }

}

function lang($text = null) {
    return lang::show($text);
}
